%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-EnthoughtBase
Version:        3.0.1
Release:        3%{?dist}
Summary:        Core packages for the Enthought Tool Suite

Group:          Development/Libraries
License:        BSD and/or LGPLv2+
URL:            http://pypi.python.org/pypi/EnthoughtBase/%{version}
#md5=cc555fca3d43c6d8d9ad7a5fdf3e74a1
Source0:        http://pypi.python.org/packages/source/E/EnthoughtBase/EnthoughtBase-%{version}.tar.gz
Source1:        README.fedora.%{name}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-setuptools, python-devel, python-setupdocs, python-sphinx, unzip

%description

The EnthoughtBase project includes a few core packages that are used
by many other projects in the Enthought Tool Suite:

    * enthought.etsconfig: Supports configuring settings that need to
      be shared across multiple projects or programs on the same
      system.

    * enthought.logger: Provides convenience functions for creating
      logging handlers.

    * enthought.util: Provides miscellaneous utility functions.


%prep
%setup -q -n EnthoughtBase-%{version}
sed -i 's/\#\!.*$//' enthought/util/guid.py
sed -i 's/\r//' image_LICENSE.txt
rm -rf EnthoughtBase.egg-info


%build
%{__python} setup.py build
unzip docs/html.zip


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
cp %{SOURCE1} README.fedora

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc *.txt examples html README.fedora
%{python_sitelib}/*


%changelog
* Thu Jun 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.1-3
- Added README.fedora

* Tue Mar 17 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.1-2
- Included html & examples, fixed license, and removed egg folder

* Tue Jan 27 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.1-1
- Initial package
